Uploaded image for project: 'TomEE'
  1. TomEE
  2. TOMEE-1610

[OSGi] Version range problem in openejb-core on bean-asm5

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.7.2
    • Fix Version/s: 1.7.3, 7.0.0-M1
    • Component/s: TomEE Core Server
    • Labels:
      None

      Description

      The openejb-core jar has OSGi metadata and imports the org.apache.xbean.asm5 package with a version range of [3.1,4).
      However, the bean-asm5-shaded jar exports this package with a version of 5 corresponding to the asm version.
      This package can thus not be resolved.

        Attachments

          Activity

            People

            • Assignee:
              romain.manni-bucau Romain Manni-Bucau
              Reporter:
              gnodet Guillaume Nodet
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: